function init() {
	var editor_id = tinyMCE.getWindowArg('editor_id');
	var inst = tinyMCE.getInstanceById(editor_id);
	var forms = inst.getBody().getElementsByTagName('form');
	
	if(forms.length > 0) {
		var available_forms_innerhtml, form_name;
		for(var i=0; i < forms.length; ++i) {
			form_name = forms.item(i).name;
			form_name = form_name && form_name != '' ? form_name : 'Form '+i;
			available_forms_innerhtml += i == 0 ? '<option value="'+i+'" selected>'+form_name+'</option>' : '<option value="'+i+'">'+form_name+'</option>';
		}
		var formObj = document.forms[0];
		formObj.available_forms.innerHTML = available_forms_innerhtml;
	
		reloadFormDetails();
	}
};

function reloadFormDetails() {
	var formObj = document.forms[0];
	var selectedOption = formObj.available_forms.options[formObj.available_forms.selectedIndex];
	
	if(selectedOption && selectedOption.value && selectedOption.value.valueOf() >= 0) {
		var editor_id = tinyMCE.getWindowArg('editor_id');
		var inst = tinyMCE.getInstanceById(editor_id);
		var forms = inst.getBody().getElementsByTagName('form');
		var elm = forms.item(selectedOption.value);
		
		if(elm) {
			var attrs = '';
			for(var i = 0; i < elm.attributes.length; ++i) 
				if(elm.attributes[i].name != 'id' && elm.attributes[i].name != 'name' && elm.attributes[i].name != 'action' && elm.attributes[i].name != 'onsubmit' && elm.attributes[i].name != 'method' && elm.attributes[i].name != 'style')
					attrs += ' '+elm.attributes[i].name+'="'+elm.attributes[i].value+'"';
		
		//alert('id:'+elm.id+'\nname:'+elm.name+'\naction:'+elm.action+'\nonsubmit:'+elm.getAttribute('onsubmit')+'\nattrs:'+attrs+'\nstyle:'+elm.getAttribute('style')+'\nmethod:'+elm.method);
			formObj.form_id.setAttribute('value',elm.id);
			formObj.form_name.setAttribute('value',elm.name);
			formObj.form_action.setAttribute('value',elm.action);
			formObj.form_onsubmit.setAttribute('value',elm.getAttribute('onsubmit'));
			formObj.form_attributes.setAttribute('value',attrs);
			formObj.form_style.setAttribute('value',elm.getAttribute('style'));
			document.getElementById('form_innerhtml').innerHTML = elm.innerHTML;
			
			var method = elm.method;
			if(method && method.toLowerCase() == 'get') {
				formObj.form_method.selectedIndex = 1;
			} else if(method && method.toLowerCase() == 'post') {
				formObj.form_method.selectedIndex = 2;
			} else {
				formObj.form_method.selectedIndex = 0;
			}
		}
	}
};

function modifyAction() {
	var formObj = document.forms[0];
	if(formObj.available_forms.selectedIndex >= 0 && formCheck(formObj)) {
		
		var selectedOption = formObj.available_forms.options[formObj.available_forms.selectedIndex];
		
		if(selectedOption && selectedOption.value && selectedOption.value.valueOf() >= 0) {
			var editor_id = tinyMCE.getWindowArg('editor_id');
			var inst = tinyMCE.getInstanceById(editor_id);
			var forms = inst.getBody().getElementsByTagName('form');
			var elm = forms.item(selectedOption.value);
			
			if(elm) {
				var parentNode = elm.parentNode;
				if(parentNode) {
					var innerHTML = elm.innerHTML;
					parentNode.removeChild(elm);
					
					var id = formObj.form_id.value;
					var name = formObj.form_name.value;
					var method = formObj.form_method;
					var method_value = method ? method.options[method.selectedIndex].value : '';
					var action = formObj.form_action.value;
					var onsubmit = formObj.form_onsubmit.value;
					var attributes = formObj.form_attributes.value;
					var style = formObj.form_style.value;
					style = style.replace('border:1px dashed #FF0000;','');
					style = style.replace('border: 1px dashed rgb(255, 0, 0);','');
					style = style + '; border:1px dashed #FF0000;';
				
					var html = '<form';
					if (id && id != "")
						html += ' id="'+id+'"';
					if (name && name != "")
						html += ' name="'+name+'"';
					if (method_value && method_value != "")
						html += ' method="'+method_value+'"';
					if (action && action != "")
						html += ' action="'+action+'"';
					if (onsubmit && onsubmit != "")
						html += ' onSubmit="'+onsubmit+'"';
					if (attributes && attributes != "")
						html += ' '+attributes;
					if (style && style != "")
						html += ' style="'+style+'"';
					html += ' >'+innerHTML+'</form>';
				
					tinyMCEPopup.execCommand("mceInsertContent", false, html);
					tinyMCE._setEventsEnabled(inst.getBody(), false);
					tinyMCEPopup.close();
				}
			}
		}
	}
};

function cancelAction() {
	tinyMCEPopup.close();
};
