function init() {
	var editor_id = tinyMCE.getWindowArg('editor_id');
	var inst = tinyMCE.getInstanceById(editor_id);
	var elm = inst.getFocusElement();

	if(elm && elm.nodeName.toUpperCase() == 'INPUT' && (elm.getAttribute('type') == 'text' || elm.getAttribute('type') == 'password') ) {
		var formObj = document.forms[0];
		formObj.insert.value = 'Modify';
	
		var attrs = '';
		for(var i = 0; i < elm.attributes.length; ++i) 
			if(elm.attributes[i].name != 'id' && elm.attributes[i].name != 'name' && elm.attributes[i].name != 'type' && elm.attributes[i].name != 'size' && elm.attributes[i].name != 'maxlength' && elm.attributes[i].name != 'value' && elm.attributes[i].name != 'style')
				attrs += ' '+elm.attributes[i].name+'="'+elm.attributes[i].value+'"';
	
		formObj.textfield_id.value = elm.getAttribute('id');
		formObj.textfield_name.value = elm.getAttribute('name');
		formObj.textfield_character_width.value = elm.getAttribute('size');
		formObj.textfield_maximum_characters.value = elm.getAttribute('maxlength');
		formObj.textfield_initial_value.value = elm.getAttribute('value');
		formObj.textfield_attributes.value = attrs;
		formObj.textfield_style.value = elm.getAttribute('style');
		
		if(elm.getAttribute('type') == 'password')
			formObj.textfield_type.options[1].selected = true;
	}
};

function insertAction() {
	var formObj = document.forms[0];
	if(formCheck(formObj)) {
		var editor_id = tinyMCE.getWindowArg('editor_id');
		var inst = tinyMCE.getInstanceById(editor_id);
	
		var id = formObj.textfield_id.value;
		var name = formObj.textfield_name.value;
		var character_width = formObj.textfield_character_width.value;
		var type = formObj.textfield_type;
		var type_value = type ? type.options[type.selectedIndex].value : '';
		var maximum_characters = formObj.textfield_maximum_characters.value;
		var initial_value = formObj.textfield_initial_value.value;
		var attributes = formObj.textfield_attributes.value;
		var style = formObj.textfield_style.value;
	
		var html = '&nbsp;<input';
		if (id && id != "")
			html += ' id="'+id+'"';
		if (name && name != "")
			html += ' name="'+name+'"';
		if (character_width && character_width != "")
			html += ' size="'+character_width+'"';
		if (type_value && type_value != "")
			html += ' type="'+type_value+'"';
		if (initial_value && initial_value != "")
			html += ' value="'+initial_value+'"';
		if (maximum_characters && maximum_characters != "")
			html += ' maxlength="'+maximum_characters+'"';
		if (attributes && attributes != "")
			html += ' '+attributes;
		if (style && style != "")
			html += ' style="'+style+'"';
		html += ' />&nbsp;<br/>';
	
		tinyMCEPopup.execCommand("mceInsertContent", false, html);
		tinyMCE._setEventsEnabled(inst.getBody(), false);
		tinyMCEPopup.close();
	}
};

function cancelAction() {
	tinyMCEPopup.close();
};
